Bug 531379 - Review Request: apache-commons-jexl - Java Expression Language (JEXL)
Summary: Review Request: apache-commons-jexl - Java Expression Language (JEXL)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-27 23:11 UTC by Orion Poplawski
Modified: 2010-01-12 15:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-12 15:49:31 UTC
akurtako: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2009-10-27 23:11:17 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/commons-jexl.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/commons-jexl-1.1-1.fc12.src.rpm

Description: 
Java Expression Language (JEXL) is an expression language engine which can be
embedded in applications and frameworks.  JEXL is inspired by Jakarta Velocity
and the Expression Language defined in the JavaServer Pages Standard Tag
Library version 1.1 (JSTL) and JavaServer Pages version 2.0 (JSP).  While
inspired by JSTL EL, it must be noted that JEXL is not a compatible
implementation of EL as defined in JSTL 1.1 (JSR-052) or JSP 2.0 (JSR-152).
For a compatible implementation of these specifications, see the Commons EL
project.

JEXL attempts to bring some of the lessons learned by the Velocity community
about expression languages in templating to a wider audience.  Commons Jelly
needed Velocity-ish method access, it just had to have it.

Comment 1 Alexander Kurtakov 2010-01-06 19:30:13 UTC
Hi Orion,
What do you think about renaming the project to apache-commons-jexl?
If yes I'll review it. :)

Comment 2 Orion Poplawski 2010-01-06 19:38:48 UTC
Why?  It goes against the packaging guidelines as far as I can tell.

Comment 3 Alexander Kurtakov 2010-01-06 20:08:08 UTC
At least for me commons is somehow too common that's why I'm asking for it. According to the guidelines we should use our best judgement and I think that apache-commons-* is way more descriptive than simply commons-*. But it is your right to think the other way ;)

Comment 4 Orion Poplawski 2010-01-07 21:08:15 UTC
http://www.cora.nwra.com/~orion/fedora/apache-commons-jexl-1.1-2.fc12.src.rpm
http://www.cora.nwra.com/~orion/fedora/apache-commons-jexl.spec

* Thu Jan 7 2010 Orion Poplawski <orion@cora.nwra.com> - 1.1-2
- Rename to apache-commons-jexl

Comment 5 Alexander Kurtakov 2010-01-09 10:46:42 UTC
Rpmlint warnings:

* apache-commons-jexl.spec:59: W: non-standard-group Development Documentation
FIXIT Documentation only should be ok

* apache-commons-jexl.spec:141: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
FIXIT There is no usage of the gcj_support nowadays and most of the java packagers are actively dropping it from their spec files. Please keep it if you have some strong usage for it otherwise it's just cluttering the spec and making the package needlessly arch specific. Also if you decide to keep it please mark the javadoc subpackage as noarch.

* apache-commons-jexl.i686: W: non-conffile-in-etc /etc/maven/fragments/apache-commons-jexl
This is ok. Maven is working in a strange way so we have to live with it.


Review:
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption..
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Javadoc in this case.
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.

Package looks good. Please take care for the items marked with FIXIT

Comment 6 Alexander Kurtakov 2010-01-09 11:01:00 UTC
One more thing you need to add the following lines in your %prep section:
sed -i "s|<source>1.2</source>|<source>1.3</source>|g" pom.xml   
sed -i "s|<target>1.2</target>|<target>1.3</target> |g" pom.xml 

This is needed because maven in rawhide no longer accepts source 1.2.

Comment 7 Orion Poplawski 2010-01-09 17:10:24 UTC
* Sat Jan 9 2010 Orion Poplawski <orion@cora.nwra.com> - 1.1-3
- Drop gcj support
- Fix javadoc group
- Bump java levels in pom.xml

http://www.cora.nwra.com/~orion/fedora/apache-commons-jexl-1.1-3.fc12.src.rpm
http://www.cora.nwra.com/~orion/fedora/apache-commons-jexl.spec

http://koji.fedoraproject.org/koji/taskinfo?taskID=1911407

Comment 8 Alexander Kurtakov 2010-01-09 17:29:08 UTC
Looks good.

This package is APPROVED.

Comment 9 Orion Poplawski 2010-01-09 17:55:26 UTC
New Package CVS Request
=======================
Package Name: apache-commons-jexl
Short Description: Java Expression Language (JEXL)
Owners: orion
Branches: F-12 F-11 EL-5
InitialCC:

Comment 10 Jason Tibbitts 2010-01-12 06:18:53 UTC
CVS done (by process-cvs-requests.py)

Comment 11 Orion Poplawski 2010-01-12 15:49:31 UTC
Checked in and built.  Thanks everyone.


Note You need to log in before you can comment on or make changes to this bug.